// Fonts
@import url('https://fonts.googleapis.com/css?family=Maitree');

// Variables
@import 'variables';

// Bootstrap
@import '../../../../node_modules/bootstrap/scss/bootstrap';

@import 'partials/footer';

.post{
    &-header {
        border-bottom: 1px solid rgba($dark, .23);
        @extend .text-center;
        @extend .mb-5;

        .card-text {
            font-size: 1rem * ($gold / 1.5);
        }

        .card-text:first-child {
            padding-top: .35rem;
        }

        .card-text:last-child {
            padding-bottom: 1rem;
        }
    }

    &-text {
        width: 100%;
        max-width: 600px;
        @extend .mx-auto;

        //
        h1 {
            @extend .h1;
        }
        h2 {
            @extend .h2;
        }
        h3 {
            @extend .h3;
        }
        h4 {
            @extend .h4;
        }
        h5 {
            @extend .h5;
        }
        h6 {
            @extend .h6;
        }

        blockquote {
            @extend .blockquote;
            padding: .75rem;
            background-color: rgba($secondary, .75);
            border-width: 5px;
            border-style: double;
            border-color: darken($secondary, $gold);
        }
    }
}

.border-double {
    &-x {
        border-color: $secondary;

        border-left-style: double;
        border-left-width: 5px;

        border-right-style: double;
        border-right-width: 5px;
    }
}

main {
    .card {
        border-width: 5px;
        border-style: double;
    }
}

.navbar {
    border-color: $secondary;

    border-bottom-style: double;
    border-bottom-width: 5px;
}

.footer {
    border-color: $secondary;

    border-top-style: double;
    border-top-width: 5px;
}

.jumbotron {
    color: darken($primary, $gold * 4);
}

body {
    background-image: url('/templates/ancient-vanilla/img/exclusive-paper.png');
}
